尝试在laravel上运行gulp时出错

我正在尝试配置一个Laravel项目我已经配置节点和bower没有问题但是在sudo npm install gulp之后 . 当我运行gulp时,我得到了这个错误

module.js:341 throw err; ^错误:无法在Module.require上的Function.Module._load(module.js:290:25)的Function.Module._resolveFilename(module.js:339:15)中找到模块'laravel-elixir'(module.js: 367:17)at object(internal / module.js:16:19)at Object . (/home/gulpfile.js:1:76)在Module.load(模块处)的Object.Module._extensions..js(module.js:422:10)的Module._compile(module.js:413:34)处 . 在Module.require的Function.Module._load(module.js:314:12)中的js:357:32)(module.js:367:17)

互联网搜索解决方案建议将gulp.js文件的第一行更改为

var elixir = require('laravel-elixir');

但它已经存在了 .

回答(4)

2 years ago

我建议从node_modules文件夹中删除所有内容并再次运行 npm install . 通过它的声音,没有正确地拉入某些东西 .

2 years ago

运行 npm install 以安装所有依赖项,然后才能开始使用elixir和gulp

2 years ago

请阅读使用gulp https://github.com/gulpjs/gulp/blob/master/docs/getting-started.md的讲师

需要在全局和本地安装以便在项目中使用如果你遵循这个我认为你的问题将解决

2 years ago

删除node_modules文件夹中的所有数据,然后按照以下步骤操作:

npm install --global gulp

然后运行:

npm install

全部完成 !!跑: